<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Examen HTML-LMSGI</title>
    <link rel="stylesheet" href="./css/Ej2style.css">
</head>

<body>
    <header id="arriba">
        <h1>Examen HTML-LMSGI</h1>
        <h2>1º ASIR-CFGS-IES LA Sènia</h2>
        <h3><i>Curso 2023-2024</i></h3>
        <a href="https://www.w3schools.com/html/default.asp"><img src="./img/html5.png" alt="HTML5"></a>
    </header>
    <hr>
    <nav>
        <ul>
            <li><a href="#defs">Definiciones</a></li>
            <li><a href="#tipos">Tipos de marcados</a></li>
            <li><a href="#ej">Ejemplos</a></li>
            <li><a href="./tablas/tablas.html">Tablas</a></li>
            <li><a href="./contacto/contacto.html">Contacto</a></li>
        </ul>
    </nav>
    <hr>
    <main>
        <section>
            <article>
                <h2 id="defs">Definiciones</h2>
                <p>
                    En el año <strong>1989</strong> , el físico nuclear <i>Tim Berners-Lee</i> del <abbr
                        title="Organización Europea para la Investigación Nuclear">CERN</abbr> trabajaba en un sistema
                    que
                    permitiera acceder a archivos en línea sobre el protocolo de comunicaciones TCP/IP.
                    En este año existían dos métodos para enlazar documentos electrónicos entre sí. Por una parte los
                    enlaces o
                    hipervínculos y por otra parte un lenguaje denominado <strong><abbr
                            title="Lenguaje de Marcado Generalizado Estándar">SGML</abbr></strong>, que consiste en un
                    sistema para
                    la organización y etiquetado de documentos.
                    La ISO normalizó el lenguaje en el año 1986. Sirve para especificar las reglas de etiquetado y no
                    impone ningún
                    conjunto de etiquetas especial, teniendo en cuenta estos métodos Tim Berners-Lee a principios de
                    1990 definió el
                    lenguaje <strong><abbr title="Lenguaje de Marcas de Hipertexto">HTML</abbr></strong> como un
                    subconjunto de
                    <strong>SGML</strong> y creó algo más el <i>World Wide Web</i> (también conocido como la Web).
                    En 1991 creó el primer navegador de <strong>HTML</strong> que funcionaba en modo texto y para el
                    sistema
                    <del>WINDOWS</del> <strong><u>UNIX.</u></strong>
                    Un lenguaje de marcado o lenguaje de marcas es una forma de codificar un documento que, junto con el
                    texto,
                    incorpora etiquetas o marcas que contienen información adicional acerca de la estructura del texto o
                    su
                    presentación.
                    Un lenguaje de marcado o de marcas (Markup Language) no es más que una manera de codificar o
                    redactar un
                    documento que junto al texto, se añade etiquetas – marcas o anotaciones – con información añadida de
                    manera
                    relativa a la estructura del texto o el formato de presentación.
                    Estos lenguajes da la posibilidad de hacer claro la estructura de cierto documento y el contenido
                    semántico del
                    mismo.
                    Cuando se observe las siglas en las web que contenga un ML, no es más que un lenguaje de marcado.
                </p>

                <p>
                    Un lenguaje de marcado o lenguaje de marcas es una forma de codificar un documento que, junto con el
                    texto,
                    incorpora <sup>etiquetas</sup> o <sub>marcas</sub> que contienen información adicional acerca de la
                    estructura
                    del texto o su presentación.
                </p>

                <p>
                    Un lenguaje de marcado o de marcas <i>(Markup Language)</i> no es más que una manera de codificar o
                    redactar un
                    documento que junto al texto, se añade etiquetas – marcas o anotaciones – con información añadida de
                    manera
                    relativa a la estructura del texto o el formato de presentación.
                    Estos lenguajes da la posibilidad de hacer claro la estructura de cierto documento y el contenido
                    semántico del
                    mismo.
                    Cuando se observe las siglas en las web que contenga un ML, no es más que un lenguaje de marcado.
                </p>
            </article>
        </section>
        <section>
            <article>
                <h2 id="tipos">Tipos de Marcados</h2>

                <ol>
                    <strong><li>Marcado de presentación:</li></strong>
                    <p>
                        Indica el formato del texto, es decir cómo ha de presentarse el documento. La etiquetas de
                        marcado suelen estar ocultas al usuario
                    </p>
                    <p>Ejemplos:</p>
                    <ol>
                        <i><li>Word</li></i>
                        <i><li>Markdown</li></i>
                    </ol>
                    <br>
                    <strong><li>Marcado de Procedimiento</li></strong>
                    <p>
                        También está enfocado hacia la presentación del texto, sin embargo, las marcas que formatean el
                        texto son
                        visibles para el usuario y permiten procesamiento (realizar un conjunto de acciones) según el
                        tipo de
                        etiqueta.
                    </p>
                    <p>Ejemplos:</p>
                    <ol>
                        <i><li>LaTeX</li></i>
                        <i><li>HTML</li></i>
                    </ol>
                    <br>
                    <strong><li>Marcado descriptivo o semántico</li></strong>
                    <p>Utiliza las marcas o etiquetas para describir los fragmentos de texto</p>
                    <p>Ejemplos:</p>
                    <ol>
                        <i><li>XML</li></i>
                        <i><li>SGML</li></i>
                    </ol>
                </ol>
            </article>
        </section>
        <section>
            <h2 id="ej">Ejemplos</h2>
            <h3>LaTeX</h3>
            <article>
                <pre>
                    <p>   
                        \documentclass[a4paper]{article}

                        \begin{document}
            
                        \bf\LARGE{Huelva y sus playas}
            
                        \bf\Large{Playa de Punta Umbria}
            
                        \bigskip
            
                        \rm{Con una longitud de 4 kilómetros, junto al Paraje Natural de las Marismas del Odiel, en una zona donde abundan los enebros...}
            
                        \end{document}
                    </p>
                </pre>
            </article>
            <article>
                <h3>HTML</h3>
                <p>Los enlaces se representan de la siguiente manera en HTML:</p>
                <pre><code>a href=<i>"...direccion absoluta o relativa al recurso enlazado..."</i>>Texto del enlace</a></code></pre>
            </article>
        </section>
        <br>

        <a href="#arriba"><img src="./img/arriba.png" alt="arriba" width="5%"></a>
    </main>
    <hr>
    <footer>
        <img src="./img/code.jpg">
        <span>© IES La Sénia - Diego Labrosa Serrano - 2024</span>
    </footer>
</body>

</html>